Bug 588166 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
abrt_hash:024fbb1285274ca1848ea667730...
: Triaged
: 586810 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 19:14 EDT by David Saxby
Modified: 2010-12-03 10:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:10:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (79.96 KB, text/plain)
2010-05-02 19:14 EDT, David Saxby
no flags Details

  None (edit)
Description David Saxby 2010-05-02 19:14:55 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox
component: firefox
executable: /usr/lib/firefox-3.5/firefox
global_uuid: 024fbb1285274ca1848ea6677304d1ee6dd549df
kernel: 2.6.32.11-99.fc12.i686.PAE
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
Attempting to log into local install of ecs home automation software (see omnipotencesoftware.com)

I believe this is a Java issue - ecs requires Java to be running.

How to reproduce
-----
1. Goto URL of ecs login page.
2. After few seconds, firefox crashes.
3.
Comment 1 David Saxby 2010-05-02 19:14:58 EDT
Created attachment 410873 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-08 09:47:45 EDT
#3  <signal handler called>
No symbol table info available.
#4  JS_RestoreFrameChain (cx=0x452f4d50, fp=0x205453) at jsapi.cpp:5296
No locals.
#5  0x021c794d in XPCJSContextStack::Pop (this=0xa76034a0, _retval=0x0)
    at xpcthreadcontext.cpp:107
        e = @0xa7603498
        idx = 2808099991
#6  0x021b1987 in XPCCallContext::~XPCCallContext (this=0xa53fdaac, 
    __in_chrg=<value optimized out>) at xpccallcontext.cpp:341
        stack = <value optimized out>
        shouldReleaseXPC = 1
#7  0x021ccf56 in nsXPCWrappedJSClass::CallMethod (this=0xb42a9eb0, wrapper=
    0xb19572c0, methodIndex=3, info=0xb4f19cc8, nativeParams=0xa53fdbe4)
    at xpcwrappedjsclass.cpp:2000
        stackbase = 0xa6033020
        paramCount = 1 '\001'
        retval = 0
        ssm = <value optimized out>
        sp = 0xa603302c
        argc = 1 '\001'
        outConversionFailedIndex = <value optimized out>
        fval = -1292097824
        foundDependentParam = <value optimized out>
        ccx = {<nsAXPCNativeCallContext> = {_vptr.nsAXPCNativeCallContext = 
    0x31b6a38}, mState = HAVE_CONTEXT, mXPC = 0xb753be40, mThreadData = 
    0xa48ff070, mXPCContext = 0xa4060f10, mJSContext = 0xa3fd1000, 
          mContextPopRequired = 1, mDestroyJSContextInDestructor = 0, 
          mCallerLanguage = LANG_NATIVE, mPrevCallerLanguage = LANG_UNKNOWN, 
          mPrevCallContext = 0x0, mOperandJSObject = 0x0, mCurrentJSObject = 
    0x0, mFlattenedJSObject = 0x0, mWrapper = 0x0, mTearOff = 0x0, 
          mScriptableInfo = 0x0, mSet = 0x0, mInterface = 0x0, mMember = 0x0, 
          mName = 0, mStaticMemberIsLocal = 0, mArgc = 0, mArgv = 0x0, 
          mRetVal = 0x0, mReturnValueWasSet = 0, mMethodIndex = 0, mCallee = 
    0xb2fc26e0, mStringWrapperData = '\000' <repeats 31 times>}
        scriptEval = {mJSContext = 0xa3fd1000, mState = 0x0, 
          mErrorReporterSet = 1, mEvaluated = 1, mContextHasThread = 
    -1245790688}
        i = <value optimized out>
        stack_size = <value optimized out>
        success = <value optimized out>
        readyToDoTheCall = 0
        xpcc = 0x0
        context = <value optimized out>
        param_iid = {m0 = 0, m1 = 0, m2 = 0, m3 = 
    "\000\000\000\000\000\000\000"}
        mark = 0xa6033018
        cx = 0xa3fd1000
        popPrincipal = <value optimized out>
        obj = 0xb2fc2501
        thisObj = 0xb2fc2580
        result = 22
        pending_result = 0
        name = 0xa53fdb01 ""
        kungFuDeathGrip = {<nsCOMPtr_base> = {mRawPtr = 
    0xb42a9eb0}, <No data fields>}
#8  0x021c88de in nsXPCWrappedJS::CallMethod (this=0xb19572c0, methodIndex=3, 
    info=0xb4f19cc8, params=0xa53fdbe4) at xpcwrappedjs.cpp:569
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-08 09:49:07 EDT
*** Bug 586810 has been marked as a duplicate of this bug. ***
Comment 4 Amram 2010-05-18 14:33:02 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Just crashed with 2 tabs open
2.
3.


Comment
-----
Just crashed with 2 tabs open
Comment 5 Amram 2010-05-20 13:59:33 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. again only two tabs open.
2.
3.


Comment
-----
again only two tabs open.
Comment 6 Amram 2010-05-21 07:22:02 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. 2 tabs and 1 pop up window open.
2.
3.


Comment
-----
2 tabs and 1 pop up window open.
Comment 7 Chris Campbell 2010-05-21 09:17:56 EDT
Should have sent this on earlier... repro steps are listed by op, setting keyword and status.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Georgi Furnadzhiev 2010-05-24 19:03:50 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Go to games.yahoo.com
2. Choose checkers
3. looking for "room" and enter
Comment 9 Georgi Furnadzhiev 2010-05-24 19:10:10 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
"walking into" Yahoo! Games's checkers forefox crached. Probably Java related problem.
Comment 10 warwitch2010 2010-05-31 00:42:13 EDT
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
this bug appeared when i was running two tabs of runescape in one window and a tab of runescape and a tab of hotmaill in another
Comment 11 Bug Zapper 2010-11-03 11:48:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-03 10:10:28 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.